%global momorel 1

Summary: Traces the route taken by packets over a TCP/IP network.
Name: traceroute
Version: 1.0.4
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source0: ftp://ftp.lst.de/pub/people/okir/traceroute/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: traceroute-1.0.4-compat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

This is a small traceroute replacement that works without requiring a
setuid bit. This implementation relies on a number of features of the
2.4 Linux kernel. It also has IPv6 support, and does parallel probes,
which makes it a little faster.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q
%patch0 -p1 -b .compat

%build
%ifarch s390 s390x
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%else
export CFLAGS="$RPM_OPT_FLAGS -fpic"
%endif
export LDFLAGS="-pie"

make CCOPT="$CFLAGS"

%install
rm -rf %{buildroot}
install -m 755 -D %{name} %{buildroot}/bin/%{name}
install -m 644 -D %{name}.1 %{buildroot}%{_mandir}/man8/%{name}.8
#for IPv6 traceroute
ln -sf %{name} %{buildroot}/bin/traceroute6
ln -sf %{_mandir}/man8/%{name}.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/%{name}6.8 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING.GPL README
/bin/traceroute*
%{_mandir}/man8/*

%changelog
* Wed Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org
- (1.0.4-1m)
- new source

* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.4a12-3m)
- use %%{momorel}

* Wed Nov  7 2001 Toru Hoshina <t@kondara.org>
- (1.4a12-2k)
- remove traceroute-1.4a5-security.patch, because it's already fixed.
- version up.

* Sun Oct 01 2000 Toyokazu WATABE <toy2@kondara.org>
- add traceroute-1.4a5-security.patch

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.4a5-18).

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Jan 17 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- add patch for tracing to really long hostnames

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Thu May 27 1999 Richard Henderson <rth@twiddle.net>
- avoid unaligned traps writing into the output data area.

* Fri May 14 1999 Jeff Johnson <jbj@redhat.com>
- fix segfault when host cannot be reached through if (#2819)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- patch added to automatically determine interface to route through

* Fri Jan 22 1999 Jeff Johnson <jbj@redhat.com>
- use %configure
- fix 64 bit problem on alpha (#919)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Cristian Gafton <gafton@redhat.com>
- updated the security patch (ouch!). Without the glibc fix, it could be
  worthless anyway

* Sat Dec 13 1997 Cristian Gafton <gafton@redhat.com>
- added a security patch fix

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added fix from Christopher Seawood

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
